## golang-git2go 0.0~git20150731.0.ed62fda

=== Makefile ===
default: test

test:
	go run script/check-MakeGitError-thread-lock.go
	go test ./...

install:
	go install ./...

## golang-git2go 0.0~git20150623

=== debian/changelog ===
golang-git2go (0.0~git20150623-1) unstable; urgency=medium

  * Initial release.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 28 Jun 2015 23:12:05 +0200

=== debian/control ===
Source: golang-git2go
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper (>= 9), golang-go, dh-golang, pkg-config, libgit2-dev
Standards-Version: 3.9.6
Homepage: https://github.com/libgit2/git2go
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-git2go.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/golang-git2go.git

Package: golang-git2go-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, pkg-config, libgit2-dev
Description: Go bindings for libgit2
 libgit2 is a portable, pure C implementation of the Git distributed version
 control system core methods provided as a re-entrant link-able library with a
 solid API.
 .
 This package provides the bindings of libgit2 for the Go programming language.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# DH_GOPKG is the upstream path which you would normally “go get”.
# Using it allows us to build applications without patching locations.
export DH_GOPKG := github.com/libgit2/git2go
export DH_GOLANG_INSTALL_ALL := 1
export DH_GOLANG_BUILDPKG := github.com/libgit2/git2go

%:
	dh $@ --buildsystem=golang --with=golang

## golang-git2go 0.0~git20150731.0.ed62fda

=== debian/changelog ===
golang-git2go (0.0~git20150731.0.ed62fda-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add debian/patches/0001-disable-remote-tests.patch (Closes: #792218)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 03 Aug 2015 09:05:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: devel
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Michael Stapelberg <stapelberg@debian.org>
 Build-Depends: debhelper (>= 9), golang-go, dh-golang, pkg-config, libgit2-dev
 Standards-Version: 3.9.6
 Homepage: https://github.com/libgit2/git2go

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,7 @@
 
 %:
 	dh $@ --buildsystem=golang --with=golang
+
+override_dh_auto_install:
+	dh_auto_install
+	-rm $(CURDIR)/debian/golang-git2go-dev/usr/share/gocode/src/github.com/libgit2/git2go/LICENSE

## golang-git2go 0.24+git20161003.0.2209188

=== debian/changelog ===
golang-git2go (0.24+git20161003.0.2209188-1) unstable; urgency=medium

  * New upstream release.
  * Use debhelper 10
  * Set the minimum version of the libgit2 required
  * Bump Standards-Version to 4.0.1.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 22 Aug 2017 13:10:35 +0200

=== debian/control ===
Source: golang-git2go
Section: devel
Priority: optional
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 10), golang-go, dh-golang, pkg-config, libgit2-dev (>> 0.24~)
Standards-Version: 4.0.1
Homepage: https://github.com/libgit2/git2go
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-git2go.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-go/packages/golang-git2go.git

Package: golang-gopkg-libgit2-git2go.v24-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, pkg-config, libgit2-dev (>> 0.24~)
Description: Go bindings for libgit2
 libgit2 is a portable, pure C implementation of the Git distributed version
 control system core methods provided as a re-entrant link-able library with a
 solid API.
 .
 This package provides the bindings of libgit2 for the Go programming language.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# DH_GOPKG is the upstream path which you would normally “go get”.
# Using it allows us to build applications without patching locations.
export DH_GOPKG := gopkg.in/libgit2/git2go.v24
export DH_GOLANG_INSTALL_ALL := 1
export DH_GOLANG_BUILDPKG := gopkg.in/libgit2/git2go.v24

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install
	-rm $(CURDIR)/debian/golang-git2go-dev/usr/share/gocode/src/gopkg.in/libgit2/git2go.v24/LICENSE
